package com.qmth.sop.business.bean.query;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 考勤提交查询
 * @Author: CaoZixuan
 * @Date: 2023-08-29
 */
public class DingSubmitQuery {
    @ApiModelProperty(value = "服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceUnitId;

    @ApiModelProperty(value = "考勤提交状态")
    private String dingSubmitStatusDesc;

    @ApiModelProperty(value = "提交人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long submitUserId;

    @ApiModelProperty(value = "档案名称")
    private String archivesName;

    @ApiModelProperty(value = "供应商id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long supplierId;

    @ApiModelProperty(value = "客户名")
    private String customName;

    @ApiModelProperty(value = "sop号")
    private String sopNo;

    @ApiModelProperty(value = "违规工时限制")
    private Integer violationHoursLimit;

    @ApiModelProperty(value = "需处理异常考勤限制")
    private Integer dingExceptionLimit;

    @ApiModelProperty(value = "补卡限制")
    private Integer remainLimit;

    @ApiModelProperty(value = "异常限制")
    private Integer exceptionLimit;

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getDingSubmitStatusDesc() {
        return dingSubmitStatusDesc;
    }

    public void setDingSubmitStatusDesc(String dingSubmitStatusDesc) {
        this.dingSubmitStatusDesc = dingSubmitStatusDesc;
    }

    public Long getSubmitUserId() {
        return submitUserId;
    }

    public void setSubmitUserId(Long submitUserId) {
        this.submitUserId = submitUserId;
    }

    public String getArchivesName() {
        return archivesName;
    }

    public void setArchivesName(String archivesName) {
        this.archivesName = archivesName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public Integer getViolationHoursLimit() {
        return violationHoursLimit;
    }

    public void setViolationHoursLimit(Integer violationHoursLimit) {
        this.violationHoursLimit = violationHoursLimit;
    }

    public Integer getDingExceptionLimit() {
        return dingExceptionLimit;
    }

    public void setDingExceptionLimit(Integer dingExceptionLimit) {
        this.dingExceptionLimit = dingExceptionLimit;
    }

    public Integer getRemainLimit() {
        return remainLimit;
    }

    public void setRemainLimit(Integer remainLimit) {
        this.remainLimit = remainLimit;
    }

    public Integer getExceptionLimit() {
        return exceptionLimit;
    }

    public void setExceptionLimit(Integer exceptionLimit) {
        this.exceptionLimit = exceptionLimit;
    }
}